
Redmine - Defect #40346

This error raise in console: "Uncaught SyntaxError: Unexpected token ';' (at new:604:37)"

2024-03-05 09:59 - M.Mahdi Thantez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.2

Description

Hi. I saw this error on browser console:

Uncaught SyntaxError: Unexpected token ';' (at new:604:37)

 When I checked the source of the error, I found this line:

if (assign_to_me_link.length &gt; 0) {

 That is defined in `app/views/issues/_form.html.erb` like this:

if (assign_to_me_link.length > 0) {

 So obviously the > character is converting to &gt;. I don't know is this related to Rails or Redmine itself, but If you think this issue is

unrelated, please note below, and I will submit it to rails developers (if no one submitted it before).

History

#1 - 2024-03-05 10:00 - M.Mahdi Thantez

* So obviously the '>' character is converting to '&gt;'. 

#2 - 2024-03-05 23:07 - Holger Just

- Description updated

#3 - 2024-03-05 23:13 - Holger Just

- Status changed from New to Needs feedback

I can not reproduce this issue on  a clean Redmine 5.1.2. Have you installed any plugins which may affect the rendering of the form? If so, please

remove these plugins as a test.

#4 - 2024-03-06 09:35 - M.Mahdi Thantez

Holger Just wrote in #note-3:

I can not reproduce this issue on  a clean Redmine 5.1.2. Have you installed any plugins which may affect the rendering of the form? If so,

please remove these plugins as a test.

 You right. It was a bug from 'redmine_multiprojects_issue'. I'm going to inform them. You can close this issue.

Thanks for your help.

#5 - 2024-03-06 10:58 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks for your feedback!
